/**
 * @file mqtt.hpp
 * @author Radim Buráň (xburan03@stud.fit.vutbr.cz)
 */

#ifndef MQTT_LOGIC_H
#define MQTT_LOGIC_H

#include "esp_log.h"
#include "driver/gpio.h"
#include "freertos/FreeRTOS.h"
#include "freertos/queue.h"
#include "freertos/task.h"
#include "freertos/event_groups.h"

#include "mqtt_client.h"

#include "utility.hpp"

void mqttStart();

void mqttStop();

esp_err_t mqttPublish(const char* topic, char* json, int qos);

#endif